Passa al contenuto principale

Reinstall server

POST 

/api/v3/servers/:server_id/reinstallations

Required scopes: server:write

Reinstalls the virtual machine with its current template and operating system: it deletes the virtual machine and its snapshots and creates it again, after a safety backup unless safety_backup_enabled is false. The operation goes on in the background as the returned Task. 409 for a physical server, while the server is not ready, its service is not active or is under maintenance, or another operation does not allow it

Request​

Responses​

Accepted: the operation goes on in the background, as the returned Task

Response Headers
    Location

    URL of the Task: /api/v3/tasks/{task_id}. Reading it requires the purchases:read scope